// 注册vuex模块，并读取&设置数据
// 获取vuex中存储的仓库信息
const project = window.GITEE.vuex.store.state.project;

// 向vuex中存储信息
window.GITEE.vuex.register('ai_completion', {
  state: {
    loading: false,
    enabled: true,
    task_id: 0,
  },
  mutations: {
    update(state, data) {
      Object.keys(state).forEach(key => {
        if (data.hasOwnProperty(key)) {
          state[key] = data[key];
        }
      });
    },
  },
});